org.apache.felix.deploymentadmin

## Interface Constants

All Superinterfaces:
  org.osgi.framework.Constants

    public interface Constants
    extends org.osgi.framework.Constants

### Field Summary

Fields
`static String` `BUNDLE_LOCATION_PREFIX`
`static String` `BUNDLE_SYMBOLICNAME`
`static String` `BUNDLE_VERSION`
`static int` `CODE_BAD_HEADER`
`static int` `CODE_BUNDLE_NAME_ERROR`
`static int` `CODE_BUNDLE_SHARING_VIOLATION`
`static int` `CODE_CANCELLED`
`static int` `CODE_COMMIT_ERROR`
`static int` `CODE_FOREIGN_CUSTOMIZER`
`static int` `CODE_MISSING_BUNDLE`
`static int` `CODE_MISSING_FIXPACK_TARGET`
`static int` `CODE_MISSING_HEADER`
`static int` `CODE_MISSING_RESOURCE`
`static int` `CODE_NOT_A_JAR`
`static int` `CODE_ORDER_ERROR`
`static int` `CODE_OTHER_ERROR`
`static int` `CODE_PROCESSOR_NOT_FOUND`
`static int` `CODE_RESOURCE_SHARING_VIOLATION`
`static int` `CODE_SIGNING_ERROR`
`static int` `CODE_TIMEOUT`
`static String` `DEPLOYMENTPACKAGE_CUSTOMIZER`
`static String` `DEPLOYMENTPACKAGE_FIXPACK`
`static String` `DEPLOYMENTPACKAGE_ICON`
`static String` `DEPLOYMENTPACKAGE_MISSING`
`static String` `DEPLOYMENTPACKAGE_NAME`
`static String` `DEPLOYMENTPACKAGE_SYMBOLICMAME`
`static String` `DEPLOYMENTPACKAGE_VERSION`
`static String` `EVENTPROPERTY_DEPLOYMENTPACKAGE_CURRENTVERSION`
`static String` `EVENTPROPERTY_DEPLOYMENTPACKAGE_NAME`
`static String` `EVENTPROPERTY_DEPLOYMENTPACKAGE_NEXTVERSION`
`static String` `EVENTPROPERTY_DEPLOYMENTPACKAGE_READABLENAME`
`static String` `EVENTPROPERTY_SUCCESSFUL`
`static String` `EVENTTOPIC_COMPLETE`
`static String` `EVENTTOPIC_INSTALL`
`static String` `EVENTTOPIC_UNINSTALL`
`static String` `RESOURCE_PROCESSOR`
`static String` `SERVICE_PID`

### Fields inherited from interface org.osgi.framework.Constants

`ACTIVATION_LAZY, BUNDLE_ACTIVATIONPOLICY, BUNDLE_ACTIVATOR, BUNDLE_CATEGORY, BUNDLE_CLASSPATH, BUNDLE_CONTACTADDRESS, BUNDLE_COPYRIGHT, BUNDLE_DESCRIPTION, BUNDLE_DOCURL, BUNDLE_LOCALIZATION, BUNDLE_LOCALIZATION_DEFAULT_BASENAME, BUNDLE_MANIFESTVERSION, BUNDLE_NAME, BUNDLE_NATIVECODE, BUNDLE_NATIVECODE_LANGUAGE, BUNDLE_NATIVECODE_OSNAME, BUNDLE_NATIVECODE_OSVERSION, BUNDLE_NATIVECODE_PROCESSOR, BUNDLE_REQUIREDEXECUTIONENVIRONMENT, BUNDLE_SYMBOLICNAME_ATTRIBUTE, BUNDLE_UPDATELOCATION, BUNDLE_VENDOR, BUNDLE_VERSION_ATTRIBUTE, DYNAMICIMPORT_PACKAGE, EXCLUDE_DIRECTIVE, EXPORT_PACKAGE, EXPORT_SERVICE, EXTENSION_BOOTCLASSPATH, EXTENSION_DIRECTIVE, EXTENSION_FRAMEWORK, FRAGMENT_ATTACHMENT_ALWAYS, FRAGMENT_ATTACHMENT_DIRECTIVE, FRAGMENT_ATTACHMENT_NEVER, FRAGMENT_ATTACHMENT_RESOLVETIME, FRAGMENT_HOST, FRAMEWORK_BEGINNING_STARTLEVEL, FRAMEWORK_BOOTDELEGATION, FRAMEWORK_BUNDLE_PARENT, FRAMEWORK_BUNDLE_PARENT_APP, FRAMEWORK_BUNDLE_PARENT_BOOT, FRAMEWORK_BUNDLE_PARENT_EXT, FRAMEWORK_BUNDLE_PARENT_FRAMEWORK, FRAMEWORK_EXECPERMISSION, FRAMEWORK_EXECUTIONENVIRONMENT, FRAMEWORK_LANGUAGE, FRAMEWORK_LIBRARY_EXTENSIONS, FRAMEWORK_OS_NAME, FRAMEWORK_OS_VERSION, FRAMEWORK_PROCESSOR, FRAMEWORK_SECURITY, FRAMEWORK_SECURITY_OSGI, FRAMEWORK_STORAGE, FRAMEWORK_STORAGE_CLEAN, FRAMEWORK_STORAGE_CLEAN_ONFIRSTINIT, FRAMEWORK_SYSTEMPACKAGES, FRAMEWORK_SYSTEMPACKAGES_EXTRA, FRAMEWORK_TRUST_REPOSITORIES, FRAMEWORK_VENDOR, FRAMEWORK_VERSION, FRAMEWORK_WINDOWSYSTEM, IMPORT_PACKAGE, IMPORT_SERVICE, INCLUDE_DIRECTIVE, MANDATORY_DIRECTIVE, OBJECTCLASS, PACKAGE_SPECIFICATION_VERSION, REQUIRE_BUNDLE, RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL, SELECTION_FILTER_ATTRIBUTE, SERVICE_DESCRIPTION, SERVICE_ID, SERVICE_RANKING, SERVICE_VENDOR, SINGLETON_DIRECTIVE, SUPPORTS_BOOTCLASSPATH_EXTENSION, SUPPORTS_FRAMEWORK_EXTENSION, SUPPORTS_FRAMEWORK_FRAGMENT, SUPPORTS_FRAMEWORK_REQUIREBUNDLE, SYSTEM_BUNDLE_LOCATION, SYSTEM_BUNDLE_SYMBOLICNAME, USES_DIRECTIVE, VERSION_ATTRIBUTE, VISIBILITY_DIRECTIVE, VISIBILITY_PRIVATE, VISIBILITY_REEXPORT`

### Field Detail

#### DEPLOYMENTPACKAGE_SYMBOLICMAME

    static final String DEPLOYMENTPACKAGE_SYMBOLICMAME

See Also:
  Constant Field Values

#### DEPLOYMENTPACKAGE_VERSION

    static final String DEPLOYMENTPACKAGE_VERSION

See Also:
  Constant Field Values

#### DEPLOYMENTPACKAGE_FIXPACK

    static final String DEPLOYMENTPACKAGE_FIXPACK

See Also:
  Constant Field Values

#### DEPLOYMENTPACKAGE_NAME

    static final String DEPLOYMENTPACKAGE_NAME

See Also:
  Constant Field Values

#### DEPLOYMENTPACKAGE_ICON

    static final String DEPLOYMENTPACKAGE_ICON

See Also:
  Constant Field Values

#### RESOURCE_PROCESSOR

    static final String RESOURCE_PROCESSOR

See Also:
  Constant Field Values

#### DEPLOYMENTPACKAGE_MISSING

    static final String DEPLOYMENTPACKAGE_MISSING

See Also:
  Constant Field Values

#### DEPLOYMENTPACKAGE_CUSTOMIZER

    static final String DEPLOYMENTPACKAGE_CUSTOMIZER

See Also:
  Constant Field Values

#### EVENTTOPIC_INSTALL

    static final String EVENTTOPIC_INSTALL

See Also:
  Constant Field Values

#### EVENTTOPIC_UNINSTALL

    static final String EVENTTOPIC_UNINSTALL

See Also:
  Constant Field Values

#### EVENTTOPIC_COMPLETE

    static final String EVENTTOPIC_COMPLETE

See Also:
  Constant Field Values

#### EVENTPROPERTY_DEPLOYMENTPACKAGE_NAME

    static final String EVENTPROPERTY_DEPLOYMENTPACKAGE_NAME

See Also:
  Constant Field Values

#### EVENTPROPERTY_DEPLOYMENTPACKAGE_READABLENAME

    static final String EVENTPROPERTY_DEPLOYMENTPACKAGE_READABLENAME

See Also:
  Constant Field Values

#### EVENTPROPERTY_DEPLOYMENTPACKAGE_CURRENTVERSION

    static final String EVENTPROPERTY_DEPLOYMENTPACKAGE_CURRENTVERSION

See Also:
  Constant Field Values

#### EVENTPROPERTY_DEPLOYMENTPACKAGE_NEXTVERSION

    static final String EVENTPROPERTY_DEPLOYMENTPACKAGE_NEXTVERSION

See Also:
  Constant Field Values

#### EVENTPROPERTY_SUCCESSFUL

    static final String EVENTPROPERTY_SUCCESSFUL

See Also:
  Constant Field Values

#### BUNDLE_LOCATION_PREFIX

    static final String BUNDLE_LOCATION_PREFIX

See Also:
  Constant Field Values

#### CODE_CANCELLED

    static final int CODE_CANCELLED

See Also:
  Constant Field Values

#### CODE_NOT_A_JAR

    static final int CODE_NOT_A_JAR

See Also:
  Constant Field Values

#### CODE_ORDER_ERROR

    static final int CODE_ORDER_ERROR

See Also:
  Constant Field Values

#### CODE_MISSING_HEADER

    static final int CODE_MISSING_HEADER

See Also:
  Constant Field Values

#### CODE_BAD_HEADER

    static final int CODE_BAD_HEADER

See Also:
  Constant Field Values

#### CODE_MISSING_FIXPACK_TARGET

    static final int CODE_MISSING_FIXPACK_TARGET

See Also:
  Constant Field Values

#### CODE_MISSING_BUNDLE

    static final int CODE_MISSING_BUNDLE

See Also:
  Constant Field Values

#### CODE_MISSING_RESOURCE

    static final int CODE_MISSING_RESOURCE

See Also:
  Constant Field Values

#### CODE_SIGNING_ERROR

    static final int CODE_SIGNING_ERROR

See Also:
  Constant Field Values

#### CODE_BUNDLE_NAME_ERROR

    static final int CODE_BUNDLE_NAME_ERROR

See Also:
  Constant Field Values

#### CODE_FOREIGN_CUSTOMIZER

    static final int CODE_FOREIGN_CUSTOMIZER

See Also:
  Constant Field Values

#### CODE_BUNDLE_SHARING_VIOLATION

    static final int CODE_BUNDLE_SHARING_VIOLATION

See Also:
  Constant Field Values

#### CODE_RESOURCE_SHARING_VIOLATION

    static final int CODE_RESOURCE_SHARING_VIOLATION

See Also:
  Constant Field Values

#### CODE_COMMIT_ERROR

    static final int CODE_COMMIT_ERROR

See Also:
  Constant Field Values

#### CODE_OTHER_ERROR

    static final int CODE_OTHER_ERROR

See Also:
  Constant Field Values

#### CODE_PROCESSOR_NOT_FOUND

    static final int CODE_PROCESSOR_NOT_FOUND

See Also:
  Constant Field Values

#### CODE_TIMEOUT

    static final int CODE_TIMEOUT

See Also:
  Constant Field Values

#### BUNDLE_SYMBOLICNAME

    static final String BUNDLE_SYMBOLICNAME

See Also:
  Constant Field Values

#### BUNDLE_VERSION

    static final String BUNDLE_VERSION

See Also:
  Constant Field Values

#### SERVICE_PID

    static final String SERVICE_PID

See Also:
  Constant Field Values